[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#489987: kpdf: KPDF refuses to open files that do not have the correct extension

Package: kpdf
Version: 4:3.5.9-1+b2
Severity: minor

Take any pdf file that already works in KPDF. Rename it to change its extension
from .pdf to something else; for example, "file.pdf.bak" works. Start KPDF and
attempt to open the file (the file dialog won't list it, so you have to force
it a bit by typing the name manually or entering a different filter). KPDF says
"Error" "Could not open ..etc.."

Of course, KPDF is lying - it could open the file if it wanted to. It just
doesn't want to because the extension is different. ("Will not open .." would
be a truer statement...)

As you might guess, I wanted to view a ".pdf.bak" file when I found this bug,
but it happens on all sorts of extensions. Without extension seems to work
okay, though.


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kpdf depends on:
ii  kdelibs4c2a             4:3.5.9.dfsg.1-4 core libraries and binaries for al
ii  libc6                   2.7-10           GNU C Library: Shared libraries
ii  libfontconfig1          2.6.0-1          generic font configuration library
ii  libfreetype6            2.3.6-1          FreeType 2 font engine, shared lib
ii  libgcc1                 1:4.3.1-2        GCC support library
ii  libpaper1               1.1.23+nmu1      library for handling paper charact
ii  libqt3-mt               3:3.3.8b-5       Qt GUI Library (Threaded runtime v
ii  libstdc++6              4.3.1-2          The GNU Standard C++ Library v3
ii  libxft2                 2.1.12-3         FreeType-based font drawing librar

Versions of packages kpdf recommends:
ii  kghostview                  4:3.5.9-1+b2 PostScript viewer for KDE

-- no debconf information

Reply to: